Criar configuração de email
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/config/emails \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"host": "<string>",
"username": "<string>",
"password": "<string>",
"encryption": "<string>",
"port": 123,
"from": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/config/emails"
payload = {
"host": "<string>",
"username": "<string>",
"password": "<string>",
"encryption": "<string>",
"port": 123,
"from": "<string>",
"name": "<string>"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
host: '<string>',
username: '<string>',
password: '<string>',
encryption: '<string>',
port: 123,
from: '<string>',
name: '<string>'
})
};
fetch('https://api.dooki.com.br/v2/{alias}/config/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"active": true,
"show_order_number": true,
"order_number": "<string>",
"from": "<string>",
"name": "<string>",
"product_review_days": 123,
"resume_values": "<string>",
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}
}E-mails
Criar configuração de email
Cria uma nova configuração de email com os valores especificados
POST
/
{alias}
/
config
/
emails
Criar configuração de email
Path Parameters
Alias da loja
Body
application/json
Representa os dados necessários para criar ou atualizar uma configuração de e-mail
Response
Lista das configurações de e-mail
Show child attributes
Show child attributes
Was this page helpful?
⌘I